Subject: RE: [AAA-WG]: [issue] "Closed" in peer state machine vs "DOWN" in failover state machine

From: <[email-masked]>
Date: Tue, 7 May 2002 03:02:46 +0300

Hi,

I believe closed refers to the AAA session.  Down refers to the transport
session below Diameter.  

I think that your requested solution is not needed as we have made an
effort to seperate the Transport section from the Base draft.

John

> -----Original Message-----
> From: ext Liu Qiong Bo [mailto:[email-masked]]
> Sent: 26 April, 2002 05:46
> To: [email-masked]
> Subject: [AAA-WG]: [issue] "Closed" in peer state machine vs "DOWN" in
> failover state machine
> 
> 
> Submitter name: Qiong Bo Liu
> Submitter email address: [email-masked]
> Date first submitted: April 26, 2002
> Reference: http://www.merit.edu/mail.archives/aaa-wg/msg03954.html
> Document: base-10, transport-07
> Comment type: T
> Priority: ?
> Section: 5.6 in base, 3.4.1 and appendix A in transport
> 
> Rationale/Explanation of issue:
> in Diameter base protocol-10, section5.6, the 2nd paragraph: 
> "This state 
> machine is closely coupled with the state machine described 
> in [AAATRANS], 
> which is used to open, close, failover, probe, and reopen transport 
> connections. Note in particular that [AAATRANS] requires the use of 
> watchdog messages to probe connections. For Diameter, DWR and 
> DWA messages 
> are to be used."
> 
> in transport-07, appendix A, there is a failover state 
> machine with a state 
> of DOWN.
> 
> In the state of DOWN, does it mean that this transport connection is 
> closed, and the related socket is closed. hence when tw time 
> expires, the 
> diameter node try to open another socket and try to connect 
> to the peer?
> 
> If it is, then what is the difference between DOWN and closed?
> 
> Requested change:
> suggest to give a complete peer state machine combining with 
> failover state 
> machine 
> 
>

---

From: Liu Qiong Bo <[email-masked]>
Date: Tue, 07 May 2002 14:19:12 +0800

Hi.

>I believe closed refers to the AAA session.  Down refers to the transport

"This state machine is closely coupled with the state machine described
in [AAATRANS]." Shall I say that if the transport session is in DOWN state, 
the AAA session must be in the Closed state? and even if the transport 
session is in the SUSPECT state, the AAA session will be still in the 
R-Open/I-Open State?

If it was, then what is the relationship between these two kinds of states?

Regards.

---

From: <[email-masked]>
Date: Mon, 13 May 2002 16:59:15 +0300

Hi,

> If it was, then what is the relationship between these two 

This is getting to an implementation issue.  It is dependent on how
closely you are going to couple the transport protocol to the
diameter protocol, also if there are multiple transport connections
available.

John